<?php
$current_tab = isset($_GET['tab']) ? sanitize_text_field($_GET['tab']) : '';
$allowed_tabs = [
    'send-form' => 'send-form.php',
    'send-report' => 'send-report.php',
    'report-hwp' => 'report-hwp.php',
    'domain-editor' => 'domain-editor.php',
];

// Get stored API key
$api_key = get_option('htfy_pusher_api_key');
?>

<style>
.maindata {
    padding: 5px;
    background: white;
    margin: 5px;
    border-radius: 5px;
    text-align: center;
    width: 98%;
    height: 500px;
    overflow: auto;
}
    .htfy-tabs {
    display: flex;
    gap: 10px;
    margin-bottom: 20px;
    justify-content: center;
    background: #dfdfdf;
    padding: 10px;
}
    .htfy-tab-btn {
        background-color: #0073aa;
        color: white;
        border: none;
        padding: 10px 20px;
        border-radius: 4px;
        cursor: pointer;
    }
    .htfy-tab-btn:hover {
        background-color: #005f8d;
    }
    .api-warning {
        background-color: #ffe5e5;
        color: #cc0000;
        padding: 15px;
        border: 1px solid #cc0000;
        margin-bottom: 20px;
        border-radius: 4px;
    }
    .connect-api-btn {
        background-color: #dc3545;
        color: white;
        padding: 8px 15px;
        border: none;
        border-radius: 4px;
        margin-left: 10px;
        cursor: pointer;
    }
    
.api-error-msg {
    background-color: #ffe5e5;
    color: #cc0000;
    border: 1px solid #cc0000;
    padding: 10px;
    margin-top: 10px;
    border-radius: 5px;
    text-align: left;
}
 h2, h3 {
    color: #3858e9;
    font-size: 32px;
    margin: 1em 0;
    font-weight: bold;
}

</style>
<div class="maindata"> 
<?php if (!$api_key && $current_tab !== 'domain-editor'): ?>
  <div class="api-warning">
      ❗ <strong>You are not connected to API.</strong> Please connect first.
      <a href="admin.php?page=htfy-pusher&tab=domain-editor">
          <button class="connect-api-btn">Connect API</button>
      </a>
  </div>
<?php endif; ?>
 
<div class="htfy-tabs">
    <a href="admin.php?page=htfy-pusher&tab=htfy-pusher">
        <button class="htfy-tab-btn <?= $current_tab === 'index.php' ? 'active' : '' ?>">Home</button>
    </a>
    <a href="admin.php?page=htfy-pusher&tab=send-form">
        <button class="htfy-tab-btn <?= $current_tab === 'send-form' ? 'active' : '' ?>">Send Push</button>
    </a>
    <a href="admin.php?page=htfy-pusher&tab=send-report">
        <button class="htfy-tab-btn <?= $current_tab === 'send-report' ? 'active' : '' ?>">Send Report</button>
    </a>
    <a href="admin.php?page=htfy-pusher&tab=report-hwp">
        <button class="htfy-tab-btn <?= $current_tab === 'report-hwp' ? 'active' : '' ?>">Analysis</button>
    </a>
    <a href="admin.php?page=htfy-pusher&tab=domain-editor">
        <button class="htfy-tab-btn <?= $current_tab === 'domain-editor' ? 'active' : '' ?>">Connect API</button>
    </a>
</div>

<main id="htfy-main-content">
    <?php
    if (array_key_exists($current_tab, $allowed_tabs)) {
        include plugin_dir_path(__FILE__) . $allowed_tabs[$current_tab];
    } else {
        // Default content: Total Subscribers Only
        ?>
        <div class="filterdata">
            <p>HTFY Pusher API Handler</p>
            <h2>Subscribers: <span id="totalCount">Loading...</span></h2>
            <p>Check on <a href="https://htfyweb.com/tools/htfy-pusher/" target="_blank">HTFY Pusher</a> for new updates and guides etc.</p>
        </div>

        <div id="planSection" style="display:none;">
            <div class="plan-cards">
                <div class="plan-box">
                    <h3>Normal Plan</h3>
                    <p class="price">₹15000 / $300</p>
                    <ul>
                        <li>Unlimited Domains</li>
                        <li>Unlimited Subscribers</li>
                        <li>Analyzes subscriber</li>
                        <li>Filter To Send</li>
                        <li>One Time Free Setup</li>
                        <li>Lifetime Access</li>
                    </ul>
                  <a href="https://htfyweb.com/tools/htfy-pusher/" target="_blank">  <button class="get-plan-btn">Get Plan</button></a>
                </div>
                <div class="plan-box">
                    <h3>Full Plan</h3>
                    <p class="price">₹25000 / $400</p>
                    <ul>
                        <li>Unlimited Domains</li>
                        <li>Domain + Domain Change Support</li>
                        <li>Unlimited Subscribers</li>
                        <li>Analyzes subscriber</li>
                        <li>Advanced Filters (Domain, Country, State, City)</li>
                        <li>Full Backup Support</li>
                        <li>No Subscriber will lose</li>
                        <li>1 Year Setup Support</li>
                        <li>Full Access</li>
                    </ul>
                   <a href="https://htfyweb.com/tools/htfy-pusher/" target="_blank"> <button class="get-plan-btn">Get Plan</button></a>
                </div>
            </div>
        </div>

        <div id="thankYouMessage" style="display:none; text-align:center; font-weight:bold; font-size:18px; padding:20px;">
            ✅ Thanks to Use HTFY Pusher
        </div>

        <style>
        .plan-cards {
            display: flex;
            gap: 20px;
            justify-content: center;
            margin-top: 20px;
            flex-wrap: wrap;
        }

        .plan-box {
            border: 1px solid #ccc;
            border-radius: 10px;
            padding: 20px;
            background: #f9f9f9;
            max-width: 300px;
            box-shadow: 0 2px 5px rgba(0,0,0,0.1);
        }

        .plan-box h3 {
            margin-top: 0;
            color: #0073aa;
        }

        .plan-box .price {
            font-size: 20px;
            color: #dc3545;
            margin-bottom: 10px;
        }

        .plan-box ul {
            list-style: none;
            padding: 0;
            text-align: left;
        }

        .plan-box ul li {
            margin: 5px 0;
        }

        .get-plan-btn {
            margin-top: 15px;
            background-color: #0073aa;
            color: white;
            border: none;
            padding: 10px 20px;
            border-radius: 4px;
            cursor: pointer;
        }

        .get-plan-btn:hover {
            background-color: #005f8d;
        }

        .api-error-msg {
            background-color: #ffe5e5;
            color: #cc0000;
            border: 1px solid #cc0000;
            padding: 10px;
            margin-top: 10px;
            border-radius: 5px;
            text-align: left;
        }
        </style>

        <script>
        let apiKey = <?= json_encode($api_key); ?>;

        async function fetchSummary() {
            try {
                const response = await fetch("https://govtjob.website/htfy-pusher/api/get-data-report.php", {
                    method: "POST",
                    headers: {
                        "Content-Type": "application/json",
                        "X-API-Key": apiKey
                    },
                    body: JSON.stringify({})
                });

                const result = await response.json();

                if (result.error || !result.total_notifications) {
                    throw new Error(result.message || "Unknown API Error");
                }

                document.getElementById("totalCount").textContent = result.total_notifications;

                // ✅ Hide Plan Section, Show Thanks
                document.getElementById("planSection").style.display = "none";
                document.getElementById("thankYouMessage").style.display = "block";

            } catch (error) {
                document.getElementById("totalCount").textContent = "Error";
                showApiError(error.message);

                // ❌ Show Plan Section, Hide Thanks
                document.getElementById("planSection").style.display = "block";
                document.getElementById("thankYouMessage").style.display = "none";
            }
        }

        function showApiError(message) {
            const errorDiv = document.createElement('div');
            errorDiv.className = 'api-error-msg';
            errorDiv.innerHTML = `❌ <strong>API Error:</strong> ${message}`;
            document.querySelector('.filterdata').appendChild(errorDiv);
        }

        document.addEventListener("DOMContentLoaded", () => {
            if (!apiKey) {
                showApiError("API Key Missing. Please connect API from 'Connect API' tab.");
                document.getElementById("totalCount").textContent = "API Missing";
                document.getElementById("planSection").style.display = "block";
            } else {
                fetchSummary();
            }
        });
        </script>
        <?php
    }
    ?>
</main>


</div>