<?php
include_once($_SERVER['DOCUMENT_ROOT'].'/ht-admin/admin/secure_access.php');
if (isset($_GET['url'])) {
    $url = $_GET['url'];
    $html = @file_get_contents($url);

    if (!$html) {
        echo json_encode(['error' => 'Unable to fetch URL']);
        exit;
    }

    libxml_use_internal_errors(true);
    $doc = new DOMDocument();
    $doc->loadHTML($html);

    $xpath = new DOMXPath($doc);

    function getMetaContent($xpath, $query) {
        $node = $xpath->query($query)->item(0);
        return $node ? trim($node->getAttribute('content')) : '';
    }

    $title = $doc->getElementsByTagName("title")->item(0)?->nodeValue ?? '';
    $description = getMetaContent($xpath, '//meta[@name="description"]');
    $canonical = $xpath->query('//link[@rel="canonical"]')->item(0)?->getAttribute('href') ?? '';
    $ogImage = getMetaContent($xpath, '//meta[@property="og:image"]');

    echo json_encode([
        'title' => $title,
        'description' => $description,
        'canonical' => $canonical ?: $url,
        'og_image' => $ogImage,
    ]);
}
