 
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Send Notification</title>
    
<style>
#notificationForm { max-width: 600px; margin: 0 auto; padding: 20px; border: 1px solid #ddd; border-radius: 10px; background: #f9f9f9; box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); font-family: Arial, sans-serif; } 
 #notificationForm input[type="text"], #notificationForm input[type="url"], #notificationForm textarea, #notificationForm select { width: 100%; padding: 5px; margin: auto; border: 1px solid #ccc; border-radius: 5px; font-size: 16px; } 
#notificationForm label { margin-bottom: 12px; display: block; color: #c7c6c6; font-size: 14px; } 
 #notificationForm button[type="submit"] { width: 100%; padding: 12px; background-color: #007bff; color: white; border: none; border-radius: 5px; font-size: 16px; cursor: pointer; transition: background-color 0.3s ease; } #notificationForm button[type="submit"]:hover { background-color: #0056b3; }
 #filterValueContainer { margin-top: 10px; } 
@media (max-width: 768px) { #notificationForm { padding: 15px; } #notificationForm input[type="text"], #notificationForm input[type="url"], #notificationForm textarea, #notificationForm select { font-size: 14px; } #notificationForm button[type="submit"] { font-size: 14px; } } .btnmenun button{ padding: 10px; margin: 10px; background: #795548; color: white; }
#totalSubscribers{
    font-size: 13px;
    margin: 10px auto;
    color: #88888a;
}
.urltofillform{
    display: block;
    max-width: 600px;
    margin: 10px auto;
    font-size: 13px;
    color: #8d8d8d;
    box-shadow: 0 0 5px 0;
    padding: 15px;
    border-radius: 10px;
}

.urltofillform input{
    padding: 5px 7px;
    width: 95%;
    display: block;
    margin: 5px;
}
 </style>  
    
    <style> .mobiledevice { width: 320px; height: auto; border-radius: 20px; margin-top: 20px; font-family: 'Arial', sans-serif; position: absolute; top: 32px; right: 0; } .shortmessage { padding: 10px; background: white; margin: 10px auto; border-radius: 10px; } .shortmessage,  .fullmessage{ padding: 10px; background: white; margin: 10px auto; border-radius: 10px; border: 1px solid #efe5e5; } .push-header { display: flex; align-items: center; font-size: 12px; color: #666; margin-bottom: 8px; } .push-header img { width: 16px; height: 16px; border-radius: 50%; margin-right: 6px; } .push-header .site { font-weight: bold; color: #222; } .push-title { font-size: 14px; font-weight: bold; margin: 6px 0 4px; color: #000; display: flex; } .push-description { font-size: 13px; color: #444; margin-bottom: 8px; } .push-image { width: 100%; height: auto; border-radius: 8px; margin-bottom: 10px; max-width: 100%;} .push-actions { display: flex; justify-content: flex-end; gap: 10px; } .push-actions button { background: none; border: none; color: #1976d2; cursor: pointer; font-weight: bold; font-size: 14px; } #pushPreview { display: none; } #showhide{ margin-top: 0; width: auto; padding: 5px 12px; background: #b1b1b1; border: none; border-radius: 6px; color: white; font-size: 16px; cursor: pointer; float: right; } #urlErrorMsg { color: red; font-size: 13px; margin-top: 5px; display: none; } </style>
 <style> h2 { text-align: center; } table { width: 90%; border-collapse: collapse; font-size: 13px; margin: 10px auto; } thead { background-color: #979797; color: white; } th, td { padding: 8px 10px; border: 1px solid #ddd; text-align: left; } tbody tr:nth-child(odd) { background-color: #f9f9f9; } img { max-width: 60px; height: auto; } @media (max-width: 768px) { table, thead, tbody, th, td, tr { display: block; } thead { display: none; } tr { margin-bottom: 15px; border: 1px solid #ccc; padding: 10px; } td { display: flex; justify-content: space-between; padding: 5px 0; border: none; } td::before { content: attr(data-label); font-weight: bold; flex: 1; } } .btnmenun button{ padding: 10px; margin: 10px; background: #795548; color: white; } </style>

</head>
<body>
 

<main> 

 
<?php
// ========================
// Plugin Admin Page: Send Notification Form
// ========================
if (!current_user_can('manage_options')) {
    wp_die('Unauthorized');
}

// Get stored API key (assuming saved in wp_options)
$api_key = get_option('htfy_pusher_api_key');

// For security
$plugin_url = plugin_dir_url(__FILE__);
?>

<div class="wrap">
  <h2>📣 Send Push Notification</h2>

  <div class="urltofillform">
    <label>Optional:
      <input type="text" id="fechurldetails" placeholder="Paste URL and Auto Detail Fill" />
      <div id="urlErrorMsg" style="color:red; display:none;">Only valid URL starting with http:// or https:// is allowed.</div>
    </label>
  </div>

  <form id="notificationForm">
    <label>Title:
      <input type="text" name="title" required>
    </label>

    <label>Description:
      <textarea name="description" rows="4" required></textarea>
    </label>

    <label>Image URL:
      <input type="url" name="image_url">
    </label>

    <label>Landing URL:
      <input type="url" name="landing_url">
    </label>

    <label>Select Send Filter:
      <select name="topic_type" id="topic_type" required>
        <option value="">-- Select --</option>
        <option value="domain">Domain</option>
        <option value="country">Country</option>
        <option value="state">State</option>
        <option value="city">City</option>
      </select>
    </label>

    <div id="topic_selector" class="hidden"></div>
    <input type="hidden" name="total_subscribers" id="total_subscribers" value="0" />
    <div id="totalSubscribers" class="hidden">Total Subscribers: <span id="totalCount">0</span></div>

    <button type="submit">🚀 Send Notification</button>
  </form>

  <div class="mobiledevice">
    <button id="showhide">👁️</button>
    <div class="Notificationmesagelikethis" id="pushPreview"></div>
  </div>

  <div id="apiErrorPopup" style="display:none; position:fixed; top:0; left:0; width:100%; height:100%; background:rgba(0,0,0,0.6); z-index:9999;">
    <div style="background:#fff; padding:20px; max-width:400px; margin:10% auto; border-radius:8px; text-align:center;">
      <h3>Access Denied</h3>
      <p>Unregistered Domain. Please connect your API.</p>
      <a href="<?php echo admin_url('admin.php?page=htfy-domain-editor'); ?>">
        <button style="padding:10px 20px; background:#007bff; color:white; border:none; border-radius:4px; cursor:pointer;">Connect API</button>
      </a>
    </div>
  </div>

  <div id="customMessagePopup" style="display:none;position: fixed;top: 40px;left: 50%;transform: translateX(-50%);border: 1px solid rgb(204, 204, 204);z-index: 9999;width: 100%;height: 100%;background: #8b8c8dba;padding: 0;align-items: center;justify-content: center;color: white;">
    <span id="customMessageText" style="color: green;padding: 20px;background: white;"></span><br>
    
    <a href="admin.php?page=htfy-pusher&tab=send-report">   <button class="htfy-tab-btn" style="margin-left: 10px;padding: 10px 15px;">Check Report</button></a>
     
    <button id="closeCustomPopup" style="margin-left: 10px;padding: 10px 15px;">Close</button>
  </div>

   
</div>

<script>
const apiKey = <?php echo json_encode($api_key); ?>;
</script>

<?php
// Load the main JS (you can also inline the entire <script> block if preferred)
wp_enqueue_script('htfy-send-script', $plugin_url . 'assets/js/send-form.js', [], null, true);
?>


 


<script>
 
let topicsData = {};

 

async function fetchTopicData() {
  try {
    const response = await fetch('https://govtjob.website/htfy-pusher/api/filter.php', {
      headers: {
        'Content-Type': 'application/json',
        'X-API-Key': apiKey
      }
    });
    const result = await response.json();
    if (result.error && result.error.includes("Access Denied")) {
      showApiErrorPopup();
      return {};
    }
    return result;
  } catch (err) {
    console.error("Fetch error:", err);
    showMessage("Failed to load filter options.", true);
    return {};
  }
}

function showApiErrorPopup() {
  const popup = document.getElementById('apiErrorPopup');
  popup.style.display = 'block';
  document.getElementById('connectApiBtn').onclick = function () {
    window.location.href = 'domain-editor.php';
  };
}

function showMessage(message, isError = false) {
  const popup = document.getElementById('customMessagePopup');
  const text = document.getElementById('customMessageText');
  text.innerText = message;
  text.style.color = isError ? 'red' : 'green';
  popup.style.display = 'flex';

  document.getElementById('closeCustomPopup').onclick = function () {
    popup.style.display = 'none';
  };
}

async function loadNotifications() {
  try {
    const response = await fetch("https://govtjob.website/htfy-pusher/api/resnd-report.php", {
      method: "POST",
      headers: {
        "Content-Type": "application/json",
        "X-API-Key": apiKey
      }
    });

    const data = await response.json();

    if (!data.success) {
      showMessage("Error: " + data.error);
      return;
    }

    const tbody = document.getElementById("notificationTableBody");
    tbody.innerHTML = '';

    data.notifications.slice(0, 5).forEach(row => {
      const tr = document.createElement("tr");
      tr.innerHTML = `
        <td data-label="ID">${row.id}</td>
        <td data-label="Title">${row.title}</td>
        <td data-label="Description">${row.body}</td>
        <td data-label="Image"><img src="${row.image_url}" alt="Image" style="width: 60px; height: auto;"></td>
        <td data-label="Landing URL"><a href="${row.landing_url}" target="_blank">Open</a></td>
        <td data-label="Topics">${row.topics}</td>
        <td data-label="Clicks">${row.clicks}</td>
        <td data-label="Total Sent">${row.total}</td>
        <td data-label="Created At">${row.created_at}</td>
      `;
      tbody.appendChild(tr);
    });

  } catch (error) {
    console.error("Error loading notifications:", error);
    showMessage("Unable to load data");
  }
}

document.addEventListener('DOMContentLoaded', async () => {
  if (!apiKey) {
    showApiErrorPopup();
    return;
  }

  topicsData = await fetchTopicData();
  await loadNotifications();
});

 

document.getElementById('topic_type').addEventListener('change', () => {
  const type = document.getElementById('topic_type').value;
  const topicSelectorDiv = document.getElementById('topic_selector');
  topicSelectorDiv.innerHTML = '';
  topicSelectorDiv.classList.add('hidden');
  document.getElementById('totalSubscribers').classList.add('hidden');
  document.getElementById('total_subscribers').value = '0';
  document.getElementById('totalCount').innerText = '0';

  if (!topicsData || Object.keys(topicsData).length === 0) {
    showMessage("Topic data not available. Please check API connection.", true);
    return;
  }

  if (type && type !== 'all') {
    const list = topicsData[type] || [];
    if (list.length > 0) {
      let html = `<label>Select ${type.charAt(0).toUpperCase() + type.slice(1)}(s):
        <select id="topics" multiple size="6" required>`;
      list.forEach(item => {
        if (item.topic && item.topic.trim() !== '') {
          html += `<option value="${item.topic}" data-count="${item.total_subscribers}">${item.topic} (${item.total_subscribers})</option>`;
        }
      });
      html += '</select></label>';
      topicSelectorDiv.innerHTML = html;
      topicSelectorDiv.classList.remove('hidden');

      const topicsSelect = document.getElementById('topics');
      topicsSelect.addEventListener('change', () => {
        const selected = Array.from(topicsSelect.selectedOptions);
        const total = selected.reduce((sum, option) => {
          return sum + (parseInt(option.getAttribute('data-count')) || 0);
        }, 0);

        document.getElementById('total_subscribers').value = total;
        document.getElementById('totalCount').innerText = total;
        document.getElementById('totalSubscribers').classList.remove('hidden');
      });
    }
  } else if (type === 'all') {
    const allTopics = Object.values(topicsData).flat();
    const total = allTopics.reduce((sum, item) => {
      return sum + (parseInt(item.total_subscribers) || 0);
    }, 0);

    document.getElementById('total_subscribers').value = total;
    document.getElementById('totalCount').innerText = total;
    document.getElementById('totalSubscribers').classList.remove('hidden');
    topicSelectorDiv.classList.remove('hidden');
  }
});

document.getElementById('notificationForm').addEventListener('submit', async function (e) {
  e.preventDefault();

  const form = e.target;
  const topicTypeValue = form.topic_type.value;
  let topics = [];

  if (topicTypeValue === 'all') {
    topics = Object.values(topicsData).flat().map(item => item.topic).filter(Boolean);
  } else {
    const selected = document.querySelectorAll('#topics option:checked');
    topics = Array.from(selected).map(opt => opt.value);
  }

  const totalSubs = parseInt(document.getElementById('total_subscribers').value) || 0;

  if (topics.length === 0 || totalSubs <= 0) {
    showMessage("Please select topics and ensure total subscribers > 0.", true);
    return;
  }

  const data = {
    title: form.title.value.trim(),
    description: form.description.value.trim(),
    image_url: form.image_url.value.trim(),
    landing_url: form.landing_url.value.trim(),
    topic_type: topicTypeValue,
    topics: topics,
    total_subscribers: totalSubs
  };

  try {
    const response = await fetch('https://govtjob.website/htfy-pusher/api/send-notification.php', {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
        'X-API-Key': apiKey
      },
      body: JSON.stringify(data)
    });

    const result = await response.json();

    if (result.status === 'error') {
      showMessage('Error: ' + result.message, true);
    } else {
      showMessage(result.message || 'Notification sent successfully!');
    }

  } catch (error) {
    console.error('Sending Error:', error);
    showMessage('There was an issue sending the notification. Please check console.', true);
  }
});

</script>

 <table>
  <thead>
    <tr>
      <th>ID</th>
      <th>Title</th>
      <th>Description</th>
      <th>Image</th>
      <th>Landing URL</th>
      <th>Topics</th>
      <th>Clicks</th>
      <th>Total Sent</th>
      <th>Created At</th>
    </tr>
  </thead>
  <tbody id="notificationTableBody">
    <!-- JS से डाटा आएगा -->
  </tbody>
</table>

 

 
 
</main>

<script>
let debounceTimeout;

document.getElementById("fechurldetails").addEventListener("input", function () {
    clearTimeout(debounceTimeout);

    const url = this.value.trim();
    const errorMsg = document.getElementById("urlErrorMsg");

    if (!url.startsWith("http://") && !url.startsWith("https://")) {
        errorMsg.style.display = "block";
        return;
    } else {
        errorMsg.style.display = "none";
    }

    debounceTimeout = setTimeout(() => {
        if (!isValidURL(url)) return;

        fetch(`/wp-content/plugins/htfy-pusher/admin/meta-fetcher.php?url=${encodeURIComponent(url)}`)
            .then(res => res.json())
            .then(data => {
                if (data.error) {
                    console.warn("Meta fetch failed:", data.error);
                    return;
                }

                const form = document.getElementById("notificationForm");
                if (!form) return;

                form.querySelector('[name="title"]').value = data.title || '';
                form.querySelector('[name="description"]').value = data.description || '';
                form.querySelector('[name="image_url"]').value = data.og_image || '';
                form.querySelector('[name="landing_url"]').value = data.canonical || url;
            })
            .catch(err => {
                console.error("Fetch error:", err);
            });
    }, 800);
});

function isValidURL(str) {
    try {
        new URL(str);
        return true;
    } catch {
        return false;
    }
}

</script> 

<script>
function updatePushPreview() {
    const domain = window.location.hostname;
    const title = document.querySelector('[name="title"]').value.trim() || 'HTFY Pusher Alert Title';
    const desc = document.querySelector('[name="description"]').value.trim() || 'HTFY Pusher provides a new alert. Check the latest update.';
    const img = document.querySelector('[name="image_url"]').value.trim() || 'https://htfyweb.com/logo.png';  

    const preview = document.getElementById('pushPreview');
    preview.innerHTML = `
       
       <div class="shortmessage">
        <div class="push-header">
            <img src="/favicon.ico" alt="favicon">
             <span class="site">Chrome · ${domain} · now</span>
        </div>
        
        <div class="push-title"><span> ${title}</span><span>  <img src="${img}" style=" width: 30px; height: 30px; display: block; float: right; margin: 0; padding: 0; border-radius: 0; "><span></div>
        <div class="push-description">${desc}</div>
 </div>     
 
 <div class="fullmessage">
        <div class="push-header">
            <img src="/favicon.ico" alt="favicon">
             <span class="site">Chrome · ${domain} · now</span>
        </div>
        
        <div class="push-title"><span> ${title}</span><span>  <img src="${img}" style=" width: 30px; height: 30px; display: block; float: right; margin: 0; padding: 0; border-radius: 0; "><span></div>
        <div class="push-description">${desc}</div>
        <img class="push-image" src="${img}" alt="notification image">
        <div class="push-actions">
            <button>Open</button>
            <button>Dismiss</button>
        </div>
        </div>
    `;
}

// Add input listeners
['title', 'description', 'image_url'].forEach(name => {
    document.querySelector(`[name="${name}"]`).addEventListener('input', updatePushPreview);
});

updatePushPreview();  


const button = document.getElementById("showhide");
button.addEventListener("click", function () {
    const preview = document.getElementById("pushPreview");

    if (preview.style.display === "block" || preview.style.display === "block") {
        preview.style.display = "none";
        button.innerText = "⬇️";  
    } else {
        preview.style.display = "block";
        button.innerText = "▲"; // नीचे का आइकन
    }
});
</script>

</body>
</html>